Improve inactivity and expiry warning messages

Bug #1740330 reported by Kristina Hoeppner on 2017-12-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned

Bug Description

The account inactivity email is:

Your account on Mahara ePortfolio System will become inactive within 1095 days.

Once inactive, you will not be able to log in until an administrator re-enables your account.

You can prevent your account from becoming inactive by logging in.

Regards, Mahara ePortfolio System site administrator

Please do not reply to this message.

-----------------

I suggest the following changes to make it easier to read:

1.
=> Instead of mentioning the number of days, can we give the exact date, i.e. "will become inactive on 14 December 2019."?

If that is not possible, "within" should be changed to "in" as it is an exact date and not a date range. If possible, please also change the days to something more sensible like "3 years" for large numbers or months if it is more than 31 days to make it easier for people to see.

2.
"{site} site administrator" should sit on it's own line right below "Regards,".

The change should be made in both the plain and the HTML messages.

This change is similar to bug #1740331 and they should be tackled together.

Robert Lyon (robertl-9) on 2017-12-28
Changed in mahara:
status: Confirmed → In Progress
summary: - Improve inactivity warning message
+ Improve inactivity and expiry warning messages
Niranjan (niranjan528) wrote :

Environment to be tested: Master
Browser to be tested: Any browser

Precondition:

1. A user with 'Site admin' access exists.
2. Make sure to allow emails to one email account by adding the following two parameters to the config.php file:
 - $cfg->sendemail = true;
 - $cfg->sendallemailto = '<valid email>';

Note: ‘Valid email’ here is your personal email address so you receive all outgoing emails no matter the recipient.

Steps to reproduce:

1. Log in as ‘Site admin’.
2. Navigate to Administration menu > Configure site > Site options.
3. Click the 'Account seetings' drop-down menu.
4. Set the 'Default account inactivity time' to 1 day and click the 'Update site options' button.
5. Open the terminal and connect to the database.
6. Update the user table in order to change the last login by giving the command ' update usr set lastlogin='2018-01-13 16:44:24', lastlastlogin='2018-01-12 09:10:17' where username='admin';'
7. Run the cron manually by adding /lib/cron.php to the end of the wwwroot of your site.

Expected result: The content of the Account inactivity warning email that is sent to the user looks like the following:

Dear xxx,

Your account on Mahara will become inactive on 1 February 2018.

Once inactive, you will not be able to log in until an administrator re-enables your account.

You can prevent your account from becoming inactive by logging in.

Regards,
Site administrator.

Note: Validate the content by viewing the text in both 'Original HTML' and plain text.

8. Similarly set the 'Default account lifetime' to 1 day and click the 'Update site option' button.
9. Open the terminal and connect to the database.
10. Update the user table in order to change the last login by giving the command ' update usr set lastlogin='2018-01-13 16:44:24', lastlastlogin='2018-01-12 09:10:17' where username='admin';'
11. Run the cron manually by adding /lib/cron.php to the end of the wwwroot of your site.

Expected result: The content of the Account expiry warning email that is sent to the user should look like the following:

Dear xxx,

Your account on Mahara will expire on 1 February 2018.

If you wish to keep your portfolio content after your account expires, we recommend you export your portfolio via export/index.php.

If you wish to extend your account access or have any questions regarding the above, please feel free to contact us.

Regards,
Site administrator.

Note: Validate the content by viewing the text in both 'Original HTMl' and plain text.

Reviewed: https://reviews.mahara.org/8389
Committed: https://git.mahara.org/mahara/mahara/commit/2b6504b917b0e2a48d169f0df68d6bf1454af799
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2b6504b917b0e2a48d169f0df68d6bf1454af799
Author: Robert Lyon <email address hidden>
Date: Fri Dec 29 08:27:50 2017 +1300

Bug 1740330, Bug 1740331: Change expire/inactive emails to show actual date

Rather the more confusing x days in the future

behatnotneeded

Change-Id: I1413b75ae279bbee537cd7aff3c1ee37b5a73598
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2018-02-09
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2018-04-05
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers